> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate Dataset



## OpenAPI

````yaml https://api.truestate.io/openapi.json post /datasets/{dataset_id}/duplicate/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /datasets/{dataset_id}/duplicate/:
    post:
      tags:
        - datasets
      summary: Duplicate Dataset
      operationId: duplicate_dataset_datasets__dataset_id__duplicate__post
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Dataset Id
        - name: active_workspace_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Active Workspace Id
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssetDuplicateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicKeyDatasetMetadata'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AssetDuplicateRequest:
      properties:
        parent_folder_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Folder Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      type: object
      title: AssetDuplicateRequest
    PublicKeyDatasetMetadata:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        detailed_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Detailed Description
        dataset_card:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Card
        organisation_id:
          type: string
          title: Organisation Id
        dictionary:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Dictionary
        status:
          type: string
          title: Status
        starred:
          type: boolean
          title: Starred
        is_primary:
          type: boolean
          title: Is Primary
        private_for_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Private For Member Id
        dataset_schema:
          anyOf:
            - $ref: '#/components/schemas/DatasetSchema'
            - type: 'null'
        columns:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Columns
        column_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Column Count
        annotations:
          additionalProperties: true
          type: object
          title: Annotations
          default: {}
        warehousing_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Warehousing Error
        cron_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Cron Schedule
        schedule_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Schedule Enabled
        last_schedule_run_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Schedule Run At
        import_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Import Config
        is_importing:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Importing
        is_profiling:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Profiling
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        is_embedding_searchable:
          type: boolean
          title: Is Embedding Searchable
          readOnly: true
      type: object
      required:
        - id
        - name
        - description
        - detailed_description
        - organisation_id
        - status
        - starred
        - is_primary
        - created_at
        - updated_at
        - is_embedding_searchable
      title: PublicKeyDatasetMetadata
      description: |-
        KeyDatasetMetadata with sensitive annotation keys stripped, for
        public (frontend-facing) API responses.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DatasetSchema:
      properties:
        column_schemas:
          additionalProperties:
            $ref: '#/components/schemas/ColumnSchema'
          type: object
          title: Column Schemas
      type: object
      required:
        - column_schemas
      title: DatasetSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ColumnSchema:
      properties:
        column_type:
          $ref: '#/components/schemas/ColumnType'
        nullable:
          type: boolean
          title: Nullable
      type: object
      required:
        - column_type
        - nullable
      title: ColumnSchema
    ColumnType:
      type: string
      enum:
        - BOOLEAN
        - STRING
        - NUMBER
        - DATETIME
      title: ColumnType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````